Package org.apache.activemq.artemis.api.core.management

## Interface DivertControl

-     public interface DivertControl

  A DivertControl is used to manage a divert.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAddress()` | Returns the origin address used by this divert.
    `java.lang.String` | `getFilter()` | Returns the filter used by this divert.
    `java.lang.String` | `getForwardingAddress()` | Returns the forwarding address used by this divert.
    `java.lang.String` | `getRoutingName()` | Returns the routing name of this divert.
    `java.lang.String` | `getRoutingType()` | Returns the routing type used by this divert.
    `java.lang.String` | `getTransformerClassName()` | Return the name of the org.apache.activemq.artemis.core.server.cluster.Transformer implementation associated with this divert.
    `java.util.Map<java.lang.String,​java.lang.String>` | `getTransformerProperties()` | Returns a map of the properties configured for the transformer.
    `java.lang.String` | `getTransformerPropertiesAsJSON()` | Returns a map of the properties configured for the transformer.
    `java.lang.String` | `getUniqueName()` | Returns the cluster-wide unique name of this divert.
    `boolean` | `isExclusive()` | Returns whether this divert is exclusive.
    `boolean` | `isRetroactiveResource()` |

- - ### Method Detail

    - #### getFilter

          java.lang.String getFilter()

      Returns the filter used by this divert.

    - #### isExclusive

          boolean isExclusive()

      Returns whether this divert is exclusive.
      if `true` messages will be exclusively diverted and will not be routed to the origin address, else messages will be routed both to the origin address and the forwarding address.

    - #### getUniqueName

          java.lang.String getUniqueName()

      Returns the cluster-wide unique name of this divert.

    - #### getRoutingName

          java.lang.String getRoutingName()

      Returns the routing name of this divert.

    - #### getAddress

          java.lang.String getAddress()

      Returns the origin address used by this divert.

    - #### getForwardingAddress

          java.lang.String getForwardingAddress()

      Returns the forwarding address used by this divert.

    - #### getTransformerClassName

          java.lang.String getTransformerClassName()

      Return the name of the org.apache.activemq.artemis.core.server.cluster.Transformer implementation associated with this divert.

    - #### getTransformerPropertiesAsJSON

          java.lang.String getTransformerPropertiesAsJSON()

      Returns a map of the properties configured for the transformer.

    - #### getTransformerProperties

          java.util.Map<java.lang.String,​java.lang.String> getTransformerProperties()
                                                                                   throws java.lang.Exception

      Returns a map of the properties configured for the transformer.
      Throws:
        `java.lang.Exception`

    - #### getRoutingType

          java.lang.String getRoutingType()

      Returns the routing type used by this divert.

    - #### isRetroactiveResource

          boolean isRetroactiveResource()